﻿@page "/fetchdata"
@inject HttpClient Http

<PageTitle>Request to secured API</PageTitle>

<h1>Claims and secure API call</h1>

<AuthorizeView>
    @foreach (var item in context.User.Claims)
    {
        <p>@item.Value @item.Type</p>
    }
</AuthorizeView>

@_result

@code
{
    string? _result;
    
    protected override async Task OnInitializedAsync()
    {
        var response = await Http.GetAsync("api/test");
        _result = await response.Content.ReadAsStringAsync();
    }
}
